restaurant2 = {}

function restaurant2:initialize()
	local background = scenes.SCENE_INTERSTITIAL:child("BACKGROUND")

	local particle = newChildParticleEffect(background, "PARTICLE_SMOKE")
	particle:setX(384)
	particle:setY(303)

	background:newChildSprite({x=0, y=0, image="FOREGROUND2", section="interstitial"})	
end

function restaurant2:simpleAnimation()
	local background = scene:child("BACKGROUND")
	local black = scene:newChildSprite({x=0, y=0, image="BACKGROUND1", section="interstitial"})
	black:setColor({alpha=0, red=0, green=0, blue=0})
	
	moveCalender(false)
	moveButtons(false)
	moveRestSelection(false)
	
	black:animate(		
		{alpha=1, duration=1000},
		{command="updateObjects", target=background},
		{command="updateBackground", target=background},
		{alpha=0, duration=1000},
		{call=function() 
			moveCalender(true)
			moveButtons(true)
			moveRestSelection(true)
			black:setObsolete() end}
	)
end
